import 'package:event_bus/event_bus.dart';
import 'package:flutter/material.dart';
import 'package:zhiying_base_widget/pages/orders_page/views/order_item_widget.dart';
import 'package:zhiying_comm/zhiying_comm.dart';

class OrderContentPage extends StatefulWidget {
  final EventBus filter;

  const OrderContentPage({Key key, this.filter}) : super(key: key);

  @override
  _OrderContentPageState createState() => _OrderContentPageState();
}

class _OrderContentPageState extends State<OrderContentPage> {
  @override
  void initState() {
    // 每次滑动刷新数据
    widget.filter?.streamController?.add((filter) {
      Logger.debug(filter.toString());
    });
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    print(context.toString());
    return ListView.builder(
        itemCount: 20,
        itemBuilder: (context, index) {
          return OrderItemWidget();
        });
  }
}
